# config

##### Type `Object`

Returns the current instance configuration options.

##### Syntax

    instance.config

##### Default value

    {
        filter: ".ui-selectable",
        tolerance: "touch",

        appendTo: document.body,

        toggle: false,
        autoRefresh: true,

        throttle: 50,

        lassoSelect: "normal",

        autoScroll: {
            threshold: 0,
            increment: 10,
        },

        saveState: false,

        ignore: false,

        maxSelectable: false,

        lasso: {
            border: '1px dotted #000',
            backgroundColor: 'rgba(52, 152, 219, 0.2)',
        },

        keys: ['shiftKey', 'ctrlKey', 'metaKey', ""],

        classes: {
            lasso: "ui-lasso",
            selected: "ui-selected",
            container: "ui-container",
            selecting: "ui-selecting",
            selectable: "ui-selectable",
            deselecting: "ui-deselecting"
    }